> ## Documentation Index
> Fetch the complete documentation index at: https://docs.jelou.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Crear Usuarios

> Crea u obtiene usuarios para su uso dentro de un widget de Jelou.



## OpenAPI

````yaml /api/openapi.json post /v1/widget/user
openapi: 3.1.0
info:
  title: Jelou API
  description: >-
    API for the Jelou platform. Send messages, manage campaigns, handle
    conversations, users, databases, and widgets.
  version: 1.0.0
servers:
  - url: https://api.jelou.ai
    description: Production server
security:
  - basicAuth: []
tags:
  - name: Messages
    description: Send messages to users
  - name: Campaigns
    description: HSM campaigns and templates
  - name: Conversations
    description: Chat history and metrics
  - name: Users
    description: User state and cache management
  - name: Resources
    description: Media resource management
  - name: Datum
    description: Database CRUD operations
  - name: Widget
    description: Widget and room management
  - name: PMA Custom
    description: External support panel integration
paths:
  /v1/widget/user:
    post:
      tags:
        - Widget
      summary: Crear Usuarios
      description: Crea u obtiene usuarios para su uso dentro de un widget de Jelou.
      operationId: Crear Usuario Widget
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateWidgetUserRequest'
      responses:
        '200':
          description: User created or retrieved
        '401':
          $ref: '#/components/responses/Unauthorized'
components:
  schemas:
    CreateWidgetUserRequest:
      type: object
      required:
        - user
      properties:
        user:
          type: object
          required:
            - id
            - names
          properties:
            id:
              type: string
            names:
              type: string
            legalId:
              type: string
    Error:
      type: object
      properties:
        message:
          oneOf:
            - type: string
            - type: array
              items:
                type: string
        statusMessage:
          type: string
        status:
          type: integer
        error:
          type: object
          properties:
            code:
              type: string
            key:
              type: string
            description:
              type: string
            developerMessages:
              type: object
            clientMessages:
              type: object
        validationError:
          type: object
  responses:
    Unauthorized:
      description: Unauthorized - Invalid authentication credentials
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic
      description: Basic authentication using Base64 encoded clientId:clientSecret

````